| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
AudioOutputHost.c File Reference
`#include "AudioOutputHost.h"`

Go to the source code of this file.

## Macros
#define | USE_TEST_TONE
| ISR to handle the reloading of the PWM timer with the next sample.

## Functions
static void | Init_Timer (uint32_t freq)
static void | DeInitTimer (void)
static void | SetupHardware (void)
int | main (void)
| Main program entry point.
void | EVENT_USB_Host_DeviceAttached (const uint8_t corenum)
void | EVENT_USB_Host_DeviceUnattached (const uint8_t corenum)
void | EVENT_USB_Host_DeviceEnumerationComplete (const uint8_t corenum)
void | EVENT_USB_Host_HostError (const uint8_t corenum, const uint8_t ErrorCode)
void | EVENT_USB_Host_DeviceEnumerationFailed (const uint8_t corenum, const uint8_t ErrorCode, const uint8_t SubErrorCode)

## Variables
static USB_ClassInfo_Audio_Host_t | Speaker_Audio_Interface

## Macro Definition Documentation

#define USE_TEST_TONE

ISR to handle the reloading of the PWM timer with the next sample.

Returns
  Nothing

Definition at line 104 of file AudioOutputHost.c.

## Function Documentation

static void DeInitTimer | ( | void |  | ) |
| static

Definition at line 76 of file AudioOutputHost.c.

static void Init_Timer | ( | uint32_t | freq | ) |
| static

Definition at line 59 of file AudioOutputHost.c.

static void SetupHardware | ( | void |  | ) |
| static

Definition at line 83 of file AudioOutputHost.c.

## Variable Documentation

USB_ClassInfo_Audio_Host_t Speaker_Audio_Interface
| static

Initial value:
= {
.Config = {
.DataOUTPipeNumber = 1,
.PortNumber = 0,
},
}

LPCUSBlib Audio Class driver interface configuration and state information. This structure is passed to all Audio Class driver functions, so that multiple instances of the same class within a device can be differentiated from one another.

Definition at line 43 of file AudioOutputHost.c.